<?php
define('x_e6', 'tabBar'); 
define('x_e7', 'tabSelected'); 
define('x_e8', 'tabUnselected'); 
class x_e9 { 
var $x_ea; 
var $x_eb; 
function x_e9() { 
$this->x_ea = array(); 
$this->x_eb = 'tab'; 
} 
function x_ec($x_eb) { 
$this->x_eb = $x_eb; 
} 
function x_ed($x_ee, $x_ef, $x_eg = '') { 
$this->x_ea[$x_ee] = array( 
'title' => $x_ef, 
'selected' => false, 
'userOnClick' => $x_eg 
); 
} 
function x_eh($x_ee) { 
foreach ($this->x_ea as $x_ei) { 
$x_ei['selected'] = false; 
} 
$this->x_ea[$x_ee]['selected'] = true; 
} 
function x_ej($x_ek, $x_el = FALSE) { 
$x_em = false; 
foreach ($this->x_ea as $x_ei) { 
if ($x_ei['selected']) { 
$x_em = true; 
break; 
} 
} 
if (!$x_em) { 
foreach ($this->x_ea as $x_ee => $x_en) { 
$this->x_ea[$x_ee]['selected'] = true; 
break; 
} 
} 
echo '<table cellspacing="0" cellpadding="0" id="' . x_e6 . '"' 
. (($x_ek) ? ' class="nonMsie" ' : '') . "><tr>\n"; 
$x_eo = ($x_el) ? (' onclick="return x_ep(this);" ' 
. ' onmouseover="x_eq(this);" onmouseout="x_er(this);" ') 
: ''; 
foreach ($this->x_ea as $x_ee => $x_en) { 
$x_eg = ' userOnClick="' . $x_en['userOnClick'] . '" '; 
if ($x_en['selected']) { 
echo '<td id="' . $this->x_eb . $x_ee . '" class="' . x_e7 . '" ' . $x_eg . '>' 
. $x_en['title'] . "</td>\n"; 
} 
else { 
echo '<td id="' . $this->x_eb . $x_ee . '" class="' . x_e8 . '" ' . $x_eg 
. $x_eo . '>' . $x_en['title'] . "</td>\n"; 
} 
} 
echo '<td id="hiddenTab" class="tabNone">&nbsp;</td>' . "\n"; 
echo '</tr></table>' . "\n"; 
} 
} 
?>